%define api_version	4
%define lib_major	0
%define gir_major	4.0
%define libname		%mklibname panel-applet %{api_version} %{lib_major}
%define girname		%mklibname panel-applet-gir %{gir_major}
%define libnamedev	%mklibname -d panel-applet %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	The core programs for the GNOME GUI desktop environment
Name:		gnome-panel
Version:        3.6.2
Release:        %mkrel 2
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	mageia-menu.svg
URL:		http://www.gnome.org/
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(dconf) >= 0.13.4
BuildRequires:	pkgconfig(gconf-2.0) >= 2.6.1
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.25.2
BuildRequires:	pkgconfig(gio-2.0) >= 2.31.14
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.14
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.14
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.91.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.8
BuildRequires:	pkgconfig(gweather-3.0) >= 2.91.0
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libecal-1.2) >= 3.5.3
BuildRequires:	pkgconfig(libedataserver-1.2) >= 3.5.3
BuildRequires:	pkgconfig(libedataserverui-3.0) >= 2.91.2
BuildRequires:	pkgconfig(libgnome-menu-3.0) >= 3.1.4
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libwnck-3.0) >= 2.91.0
BuildRequires:	pkgconfig(NetworkManager) >= 0.6
BuildRequires:	pkgconfig(pango) >= 1.15.4
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.14.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xrandr) >= 1.2.0
BuildRequires:	gobject-introspection-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	itstool
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	glib2.0-common
Requires:	gnome-session
Requires:	gnome-desktop3
Requires:	polkit-agent
Suggests:	gnome-applets
Requires:	gnome-menus
Requires:	alacarte
Requires:	gnome-shell
# for screen locking and search function in panel
Requires:	gnome-search-tool
Requires:	gnome-screensaver
Requires:	desktop-common-data
#(patch0)
Requires:	xlockmore

# Obsolete all old applet packages; this is the output of
# urpmq --whatrequires libpanel-applet-2.so.0 gnome-python-applet
Obsoletes:	perl-Gnome2-PanelApplet < 0.30.1
Obsoletes:	gnome-sensors-applet < 2.2.6
Obsoletes:	ontv < 3.2.1
Obsoletes:	hamster-applet < 2.32.2
Obsoletes:	gcdemu < 1.3.1 

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software. 

The GNOME panel packages provides the gnome panel, menus and some
basic applets for the panel.

%package -n	%{libname}
Summary:	%{summary}
Group:		System/Libraries
Provides:	libpanel-applet = %{version}-%{release}
Provides:	libpanel-applet-%{api_version} = %{version}-%{release}
Obsoletes:	%{_lib}panel-applet-4_0	< 3.2.1-2
Obsoletes:      gnome-sensors-applet-devel < 2.2.6 

%description -n	%{libname}
Panel libraries for running GNOME panels.

%package -n	%{libnamedev}
Summary:	Static libraries, include files for GNOME panel
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpanel-applet-devel = %{version}-%{release}
Provides:	libpanel-applet-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}panel-applet-2_0-devel
Obsoletes:	%{_lib}panel-applet-4-devel < 3.2.1-2

%description -n	%{libnamedev}
Panel libraries and header files for creating GNOME panels.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:	%{_lib}panel-applet-4_0 < 3.2.1-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--enable-eds \
	--disable-scrollkeeper \
	--disable-static \
	--disable-schemas-install \
	--disable-scrollkeeper
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete;

%find_lang %{name}-3.0 --with-gnome --all-name --with-help

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/gnome-panelrc

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -a %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps

%files -f %name-3.0.lang
%doc AUTHORS COPYING NEWS README
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-panel.applet.clock.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-panel.applet.fish.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-panel.applet.window-list.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-panel.applet.workspace-switcher.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-panel.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-panel.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-panel.launcher.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-panel.menu-button.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-panel.object.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-panel.toplevel.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.panel.applet.ClockAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.FishAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.NotificationAreaAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.WnckletFactory.service
%{_bindir}/*
%{_libexecdir}/gnome-panel-add
%{_libexecdir}/clock-applet
%{_libexecdir}/fish-applet
%{_libexecdir}/notification-area-applet
%{_libexecdir}/wnck-applet
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-panel
%{_datadir}/icons/hicolor/*/apps/*

%files -n %{libname}
%{_libdir}/libpanel-applet-%{api_version}.so.%{lib_major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/PanelApplet-%{gir_major}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/libpanel*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/PanelApplet-%{gir_major}.gir


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317340
- new versio 3.6.2

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297571
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295288
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288042
- update file list
- br itstool
- new version 3.5.91

* Thu Jul 19 2012 fwang <fwang> 3.5.4-1.mga3
+ Revision: 272462
- bump req

  + ovitters <ovitters>
    - new version 3.5.4

* Mon Jul 02 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266617
- update file list
- br gconf-2.0 again
- update file list
- br newer eds
- new version 3.5.3
- new version 3.4.3

* Mon May 14 2012 ovitters <ovitters> 3.4.2.1-1.mga3
+ Revision: 235679
- new version 3.4.2.1
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231041
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226554
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224339
- new version 3.3.92

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219089
- new version 3.3.91

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212019
- new version

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205315
- new version 3.3.5

* Tue Dec 20 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184923
- new version 3.3.3

* Sat Oct 29 2011 wally <wally> 3.3.1-2.mga2
+ Revision: 159603
- replace gnome-utils dep with gnome-search-tool as
  gnome-utils was splitted out to a multiple projects

* Sat Oct 29 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 159424
- new version 3.3.1

* Sun Oct 16 2011 wally <wally> 3.2.1-2.mga2
+ Revision: 155522
- fix libnames
- create a subpackage for gir .typelib
- drop old and unused patches
- clean .spec a bit

* Sun Oct 16 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155505
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148608
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145870
- new version 3.1.92

* Fri Sep 16 2011 dmorgan <dmorgan> 3.1.91-4.mga2
+ Revision: 144145
- Add glib2.0-common as BuildRequires, needed for /usr/bin/glib-compile-schemas
- Obsolete more gnome2 packages

* Mon Sep 12 2011 dmorgan <dmorgan> 3.1.91-3.mga2
+ Revision: 142593
- More obsoletes

* Mon Sep 12 2011 dmorgan <dmorgan> 3.1.91-2.mga2
+ Revision: 142542
- Obsolete old applet packages so upgrades proceeed

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138788
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.5-1.mga2
+ Revision: 136347
- br gi
- new version 3.1.5
- convert to pkgconfig style br
- cleanup spec

* Sat Jul 09 2011 cjw <cjw> 3.0.2-5.mga2
+ Revision: 121010
- add BuildRequires: pkgconfig(telepathy-glib)
- clean up dependencies and build dependencies
- rebuild for automatic typelib provides

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.2-4.mga2
+ Revision: 111267
- Remove what is handled by filetriggers

* Mon Jun 13 2011 dmorgan <dmorgan> 3.0.2-3.mga2
+ Revision: 105904
- Fix scriplet
  Fix requires in gnome-desktop3

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 102097
- Fix Requires in the devel package
- New version 3.0.2

* Fri May 27 2011 pterjan <pterjan> 2.32.1-5.mga1
+ Revision: 100554
- Don't use non standard macro defined here by jpackage

* Thu May 26 2011 pterjan <pterjan> 2.32.1-4.mga1
+ Revision: 100486
- Use new menu icon

* Thu May 26 2011 pterjan <pterjan> 2.32.1-3.mga1
+ Revision: 100406
- Add mgacustomizations based on mdvcustomizations (menu icon, mcc shortcut, firefox...)

* Sat Jan 15 2011 pterjan <pterjan> 2.32.1-2.mga1
+ Revision: 19136
- Drop obsolete scriptlets and mdv customizations
- imported package gnome-panel

